# FoundationClasses
TKernel
TColStd

# TColStd_StdMapNodeOfMapOfInteger Class Reference

`#include <TColStd_StdMapNodeOfMapOfInteger.hxx>`

Inheritance diagram for TColStd_StdMapNodeOfMapOfInteger:

[legend]

## Public Member Functions

| TColStd_StdMapNodeOfMapOfInteger (const Standard_Integer &K, const TCollection_MapNodePtr &n)
Standard_Integer & | Key () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | myKey

## Constructor & Destructor Documentation

TColStd_StdMapNodeOfMapOfInteger::TColStd_StdMapNodeOfMapOfInteger | ( | const Standard_Integer & | K,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const TColStd_StdMapNodeOfMapOfInteger::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_MapNode.

Standard_Integer& TColStd_StdMapNodeOfMapOfInteger::Key | ( |  | ) | const

## Field Documentation

Standard_Integer TColStd_StdMapNodeOfMapOfInteger::myKey `[private]`

The documentation for this class was generated from the following file:

- TColStd_StdMapNodeOfMapOfInteger.hxx